# git命令 ##
>拉取远程仓库主干代码
```sh 
git pull origin master
```
>将本地已提交代码推送至远程仓库
```sh 
git push origin master
```
>忽略某文件修改不提交到远程仓库
```sh 
git update-index --assume-unchanged [file-path]
eg: git update-index --assume-unchanged FMP-WEB\src\main\resources\jdbc.properties
```
>取消忽略某文件提交到远程仓库
```sh 
git update-index --no-assume-unchanged [file-path] 
eg: git update-index --no-assume-unchanged FMP-WEB\src\main\resources\jdbc.properties
```
>回退版本后提交到远程仓库
```sh 
git push -f -u origin [branch]
eg: git push -f -u origin master
```